#ifndef PROGRESSBAR_H_
#define PROGRESSBAR_H_

#include <QDialog>

class QProgressBar;
class QLabel;

//! UserInterface class.
/*!
 * UserInterface class which launches a modal progress bar during application events that might take
 * some time
 */
class ProgressBar : public QDialog
{
	Q_OBJECT

public:
	//! Constructor.
	/*!
	 * Constructor to initialize the StatusWidget instance.
	 * \param aParent Parent object.
	 * \param aText Title string to be set to the progress bar.
	 */
	ProgressBar( const QString &aText, bool aCancellable = false, QWidget *aParent = 0 );
	//! Destructor.
	virtual ~ProgressBar();
	
	void update( const QString &aMessage );

signals:
	//! Signal. Emitted if user presses cancel button.
	/*!
	 * Signal. Emitted if user presses cancel button.
	 */
	void cancel();
	void started();

private:
	QProgressBar *iProgress;
	QLabel *iLabel;

};

#endif /*PROGRESSBAR_H_*/
